//
// Created by Boris Stefanovic on 24/05/22.
//
#ifndef PROG_KMEANS_VECTOR_H
#define PROG_KMEANS_VECTOR_H

/*
 * We can justify the implementation of vectors for multiple types to ease
 * application to several scenarios without the need for casting,
 * e.g. scientific measurements (floating point) and image data (integer).
 */

#include <stdlib.h>
#include "common.h"


typedef struct vector_int_t_ {
	size_t dim;
	int_t* data;
} vector_int_t;

vector_int_t* vector_int_create(const size_t dim, const int_t* data);


#endif //PROG_KMEANS_VECTOR_H
